Recent comments

Print This Post Print This Post

Timing is everything…

How about this for timing….on February 27th, I upgraded my version of WordPress from 2.0.4 to 2.1.1.  It was quite some time since my last upgrade, and there were several security fixes that I needed to get installed.  I was briefly proud of myself for getting my site sort of up to date.

Then yesterday there was this announcement.  To save you from having to click the link, here’s the important excerpt:

Long story short: If you downloaded WordPress 2.1.1 within the past 3-4 days, your files may include a security exploit that was added by a cracker, and you should upgrade all of your files to 2.1.2 immediately.

So…I picked the three or four days in the entire history of WordPress, which has been one of the most stable and secure blogging platforms around, to upgrade.  How’s that for amazing timing?

Don’t worry, I’ve (just finished) upgrading to the secured version.  And to be clear to my non-techy visitors: none of this has *anything* to do with the security of my visitors.   If you have your own WordPress blog (and obviously aren’t “non-techy”), upgrade now- this is not an optional upgrade!

Leave a Reply

%d bloggers like this: